import board
import neopixel
import time
import math
import touchio
from adafruit_debouncer import Debouncer
import digitalio
from adafruit_led_animation.color import (
    AMBER, #(255, 100, 0)
    AQUA, # (50, 255, 255)
    BLACK, #OFF (0, 0, 0)
    BLUE, # (0, 0, 255)
    CYAN, # (0, 255, 255)
    GOLD, # (255, 222, 30)
    GREEN, # (0, 255, 0)
    JADE, # (0, 255, 40)
    MAGENTA, #(255, 0, 20)
    OLD_LACE, # (253, 245, 230)
    ORANGE, # (255, 40, 0)
    PINK, # (242, 90, 255)
    PURPLE, # (180, 0, 255)
    RED, # (255, 0, 0)
    TEAL, # (0, 255, 120)
    WHITE, # (255, 255, 255)
    YELLOW, # (255, 150, 0)
    RAINBOW) # a list of colors to cycle through
    # RAINBOW is RED, ORANGE, YELLOW, GREEN, BLUE, and PURPLE ((255, 0, 0), (255, 40, 0), (255, 150, 0), (0, 255, 0), (0, 0, 255), (180, 0, 255))
from audiopwmio import PWMAudioOut as AudioOut
from audiocore import WaveFile


'''button_a_input = digitalio.DigitalInOut(board.BUTTON_A)
button_a_input.switch_to_input(pull = digitalio.Pull.DOWN)
button_a = Debouncer(button_a_input)'''



#set up speaker
speaker = digitalio.DigitalInOut(board.SPEAKER_ENABLE)
speaker.direction = digitalio.Direction.OUTPUT
speaker.value = True
audio = AudioOut(board.SPEAKER)

path = "drumSounds/"
drum_sounds = ["bass_hit_c.wav", "bd_tek.wav", "bd_zome.wav", "drum_cowbell.wav", "elec_cymbal.wav", "elec_hi_snare.wav", "scratch.wav"]



touch = touchio.TouchIn(board.A1)
touch.threshold = 10



button_a_input = digitalio.DigitalInOut(board.BUTTON_A)
button_a_input.switch_to_input(pull = digitalio.Pull.UP)
button_a = Debouncer(button_a_input)

pixels_num_of_lights = 10
pixels_pin = board.NEOPIXEL
pixels = neopixel.NeoPixel(pixels_pin, pixels_num_of_lights, brightness = .1, auto_write = True)

colors = [RED, MAGENTA, ORANGE, YELLOW, GREEN, JADE, BLUE]

def getAvg():
    pixels.fill(RED)
    values = []
    while(len(values) < 50):
        values.append(touch.raw_value)
        print((touch.raw_value,))
        time.sleep(0.05)
    pixels.fill(BLACK)
    return sum(values)/len(values)

avg = getAvg()

while True:
    percentage = (touch.raw_value-200)/100
    pixels_to_light = int(percentage * pixels_num_of_lights)
    print(percentage)
    if pixels_to_light == 0:
        pixels.fill(BLACK)
    else:
        if pixels_to_light <= 10 and pixels_to_light > 0:
            pixels[0:pixels_to_light] = BLUE * pixels_to_light
            pixels[pixels_to_light:pixels_num_of_lights] = (0,0,0) * (pixels_num_of_lights-pixels_to_light)

    if button_a.fell:
        avg = getAvg()

    time.sleep(0.2)



